#include "pianoRollLayer.h"

#include "gui/mainWindow/mainWindow.h"

using namespace std;
using namespace quokka_gfx;
//--------------------------------------------------------------
/* Constructor */
PianoRollLayer::PianoRollLayer(MainWindow &owner)
  : Layer(owner)
{
}
//--------------------------------------------------------------
/* Update the layer state */
void PianoRollLayer::update(std::chrono::nanoseconds dt)
{
}
//--------------------------------------------------------------
/* Render the layer */
void PianoRollLayer::render() const
{
  const auto renderer = GetRenderer();     // Get the renderer instance from the main window
}
//--------------------------------------------------------------
